$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.0.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'D090DE2C46436E2D98FAF9903DC59FD5929E24FE0E08AD2408414F609C8FA04E'
  checksumType = 'sha256'
  checksum64 = 'D090DE2C46436E2D98FAF9903DC59FD5929E24FE0E08AD2408414F609C8FA04E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.14.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
